> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pubrio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 企業のシグナルイベント

> 単一企業について、そのエクスパンションを牽引しているシグナルイベントを、拡充・ページ分割してドリルダウンします。



## OpenAPI

````yaml jp-openapi POST /expansions/companies/pulse_events
openapi: 3.0.0
info:
  description: >-
    Pubrio API
    はマーケット拡大インテリジェンスを提供します——企業の新市場参入を捉えるリアルタイムシグナルと、その基盤となる企業・人物データ。アカウントやコンタクトの検索・ルックアップ・エンリッチメントに加え、200+
    市場にわたる種別・日付付きの動きシグナルを購読できます。
  version: 1.0.0
  title: Pubrio OpenAPI
  termsOfService: https://pubrio.com/ja/terms-of-service
  contact:
    email: king.lai@pubrio.com
    name: King Lai
    url: https://pubrio.com/ja/get-in-touch
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.pubrio.com
security:
  - pubrio_api_key: []
tags:
  - name: Profile
    description: ワークスペースプロフィール情報と使用統計
  - name: Enrichment
    description: 詳細なB2Bデータで人物・企業レコードをエンリッチメント
  - name: Lookalike
    description: 指定した企業に類似する企業を検索
  - name: Search
    description: フィルターを使用して人物、企業、求人、ニュース、広告を検索
  - name: Lookup
    description: 特定の人物、企業、求人、ニュース、広告、テクノロジーの詳細情報を検索
  - name: LinkedIn
    description: LinkedInプロフィールURLから人物・企業データを検索
  - name: Redeem
    description: クレジットを消費して人物の連絡先情報をアンロック（単件・バッチ）
  - name: Channels
    description: アウトリーチチャネルテンプレートの管理（作成・更新・削除・一覧）
  - name: Monitor
    description: Webhook、統計、処理を含むデータモニターの作成と管理
  - name: Filters
    description: 検索パラメータで使用可能なフィルター値を取得（テクノロジー、地域、バーティカルなど）
  - name: API Keys
    description: APIキーのリクエストログと使用状況分析を表示
  - name: Insights
    description: 企業のシグナル集計インサイト(採用、ニュース、広告)。
  - name: Export
    description: 一括データエクスポート(クレジット消費)。
  - name: Expansion
    description: '企業の市場拡大インテリジェンス: シグナル、ステージ、市場、エクスポート。'
externalDocs:
  description: >-
    Pubrio API は、コンタクトおよびアカウント情報の検索・プレビュー・エンリッチメントに利用できます。Pubrio データベースは、豊富な B2B
    連絡先データとセールスインテリジェンスを提供します。
  url: https://docs.pubrio.com
paths:
  /expansions/companies/pulse_events:
    post:
      tags:
        - Expansion
      summary: 企業のシグナルイベント
      description: 単一企業について、そのエクスパンションを牽引しているシグナルイベントを、拡充・ページ分割してドリルダウンします。
      operationId: expansions_company_pulse_events
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                signal_types:
                  $ref: '#/components/schemas/expansion_signal_type_slugs'
                country_codes:
                  type: array
                  items:
                    type: string
                  example:
                    - JP
                    - SG
                  description: >-
                    任意。フィードを 1 つ以上の海外市場(ISO 3166-1
                    alpha-2、例:`["JP","SG"]`)に絞り込みます。省略時はすべての海外市場が対象です(本国市場は常に除外)。
                transitioned_dates:
                  type: array
                  items:
                    type: string
                    format: date
                  example:
                    - '2026-04-01'
                    - '2026-06-29'
                  description: >-
                    シグナル/遷移ウィンドウの ISO `[from, to]` 日付範囲です。`window_days`
                    の両方が指定された場合はこちらが優先されます。
                window_days:
                  type: integer
                  example: 90
                  default: 90
                  description: >-
                    任意。イベントのローリングウィンドウの日数。本パラメータと `transitioned_dates`
                    のいずれも指定しない場合、デフォルトで **90** 日(標準の表示ウィンドウ)が使用されます。両方を指定した場合は
                    `transitioned_dates` が優先されます。
                query:
                  type: string
                  example: >-
                    We sell Employer-of-Record and local payroll; best-fit
                    buyers hire in a new market before setting up a legal
                    entity.
                  description: >-
                    自社が販売しているもの、またはこの企業を評価する際の理想的な買い手像を、自然な文章で記述します。AI の
                    `summary` の根拠としてのみ使用されます（`is_explain_match`
                    を参照）。企業検索とは異なり、ここではフィルター条件には解釈されません。
                is_explain_match:
                  type: boolean
                  example: true
                  description: >-
                    true かつ `query` が指定されている場合、`data.summary` に、この企業の拡大活動を
                    `query` に照らして解釈した単一の AI 要約が返されます。企業の実際のシグナルに基づき、`[n]`
                    の引用付きです。企業検索の企業ごとの `match_summary`
                    とは異なり、この要約はウィンドウ内の企業の全シグナル（全市場・すべてのシグナル）から生成されるため、`page` /
                    `per_page` に関わらず安定しています。
                domain:
                  $ref: '#/components/schemas/domain'
                linkedin_url:
                  $ref: '#/components/schemas/company_linkedin_url'
                domain_search_id:
                  $ref: '#/components/schemas/domain_search_id'
                page:
                  $ref: '#/components/schemas/page'
                per_page:
                  $ref: '#/components/schemas/per_page'
              anyOf:
                - title: Domain Search ID
                  required:
                    - domain_search_id
                - title: ドメイン
                  required:
                    - domain
                - title: LinkedIn URL
                  required:
                    - linkedin_url
      responses:
        '200':
          description: >-
            ページネーションされたシグナルイベントです。 `is_explain_match` が true かつ `query`
            が指定されている場合、`data.summary` には企業の全シグナルをクエリに照らして生成した AI 要約（`{ text,
            citations }`）が入ります。それ以外は `null` です。
          content:
            application/json:
              schema:
                type: object
                properties:
                  metadata:
                    type: object
                  data:
                    type: object
                    description: 結果コンテナ。
                    properties:
                      pagination:
                        type: object
                        description: ページ、1 ページあたり件数、総件数、総ページ数。
                      events:
                        type: array
                        description: この企業のシグナルイベント（新しい順）。
                        items:
                          type: object
                      summary:
                        type: object
                        description: このページのイベントの任意の集計。未計算の場合は `null`。
                        nullable: true
              example:
                metadata:
                  filters:
                    domain_search_id: 8f3c1b04-2e7a-4d19-9c55-6ab21f0e7d3c
                data:
                  pagination:
                    page: 1
                    per_page: 25
                    total_entries: 42
                    total_pages: 2
                    total_display_pages: 2
                    is_timeout: false
                  events:
                    - signal_type_slug: EXEC
                      stage_slug: expanding
                      country_code: US
                      signal_subtype_slug: country_manager
                      source_type: linkedin
                      polarity: expansion
                      display_label: Hired Country Manager
                      evidence_url: https://linkedin.com/company/example-corp
                      event_date: '2026-06-20T14:00:00.000Z'
                  summary:
                    text: >-
                      Example Corp is hiring across Tokyo[1] and just added a
                      Japan Country Manager[2], yet has no legal entity on file
                      — it is staffing the market before incorporating, which is
                      exactly your window.
                    citations:
                      - 'n': 1
                        type: HIRE
                        label: Tokyo software & field-ops roles
                        country: JP
                        date: 2026-06
                        url: null
                      - 'n': 2
                        type: EXEC
                        label: Country Manager, Japan
                        country: JP
                        date: 2026-06
                        url: https://linkedin.com/in/example
        '400':
          $ref: '#/components/responses/general_error'
        '429':
          $ref: '#/components/responses/rate_limit_error'
        '500':
          $ref: '#/components/responses/server_error'
components:
  schemas:
    expansion_signal_type_slugs:
      type: array
      items:
        type: string
        enum:
          - AD
          - AUDIENCE
          - DNS
          - ENTITY
          - EVENT
          - EVENT_PLUS
          - EXEC
          - HIRE
          - INFRA
          - IP
          - NEWS
          - OFFICE
          - PARTNER
          - PRODUCT
          - REG
          - SCALE
          - TECH
      example:
        - EXEC
        - HIRE
      description: >-
        特定のシグナルの種類に絞り込みます。定義とティアについてはナレッジベースのシグナルタイプカタログを参照してください（`DNS` と
        `INFRA` は Premier ティアのシグナルです）。
    domain:
      type: string
      example: pubrio.com
      description: >-
        企業ルックアップに使用する会社ドメインです。`www.pubrio.com` や `https://docs.pubrio.com/`
        のような値が指定された場合、自動的に `pubrio.com` に正規化されます。
    company_linkedin_url:
      type: string
      example: https://www.linkedin.com/company/pubrio
      description: >-
        企業の LinkedIn 公式ページを指す完全な URL です。値は `http` で始まり、`linkedin.com/company/`
        を含んでいる必要があります。
    domain_search_id:
      type: string
      format: uuid
      description: 企業検索系の処理を紐づけるための一意の識別子です。
    page:
      type: integer
      example: 1
      default: 1
      description: >-
        ページ番号（1 から開始）。上限はサブスクリプションの `max_search_page`（企業検索では
        `max_company_search_page`）で、[Profile](/jp/api-reference/endpoint/profile/profile)
        から取得できます。超過すると **HTTP 416** が返ります。
    per_page:
      type: integer
      example: 25
      default: 25
      maximum: 25
      description: >-
        1 ページあたりの件数。既定は 25 で、多くのプランではこれが上限でもあります。制限値はサブスクリプションの
        `max_search_per_page`
        で、[Profile](/jp/api-reference/endpoint/profile/profile)
        から取得できます。超過すると結果が丸められるのではなく、**HTTP 416** とコード `41676`（企業・人物検索では
        `41613`）が返ります。
  responses:
    general_error:
      description: リクエストエラー。リクエストの形式が不正であるか、無効なパラメータが含まれています。エラーコードとメッセージを確認してください。
      content:
        application/json:
          schema:
            required:
              - code
              - message
              - details
            type: object
            properties:
              code:
                example: 40001
                type: integer
              message:
                example: エラーの背景やフィールド単位の情報などを含む追加データオブジェクトです。
                type: string
              details:
                type: object
    rate_limit_error:
      description: レート制限超過。一定期間内に多すぎるリクエストが送信されました。レート制限ウィンドウがリセットされた後に再試行してください。
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: クライアントはしばらく待ってから再試行することが推奨されます。
                type: string
    server_error:
      description: 内部サーバーエラー。サーバーで予期しないエラーが発生しました。エラーが続く場合はサポートにお問い合わせください。
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: レスポンスボディには `error` フィールドが含まれ、問題の概要がメッセージとして記載されます。
                type: string
  securitySchemes:
    pubrio_api_key:
      type: apiKey
      name: pubrio-api-key
      description: >-
        API で実行する操作内容と、その操作に付与された権限を識別するための一意の API トークンです。このトークンはダッシュボードの
        [設定](https://dashboard.pubrio.com/#/settings/) 画面から発行できます。
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.